Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004842TestLinkTest Specificationpublic2011-12-18 09:312012-09-01 19:58
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004842: Test Case search - add check of user rights
DescriptionRight now when using search feature on Menu bar, user can get info of test cases that belong to a Test Project where user has role NO RIGHT.
In order to access test case info we are going to check that user effective role on Test project that CONTAINS test case will have one of following rights:

Test Case view (read only access)
Test Case create/edit
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0004796closedfman Test Case reuse - Quick & Dirty Approach 

-  Notes
(0016160)
fman (administrator)
2011-12-18 11:15

1.9.3
http://gitorious.org/testlink-ga/testlink-code/commit/204df745835151b73840f2d00a77bca2156f5b4c [^]
(0017249)
fman (administrator)
2012-09-01 19:58

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-12-18 09:31 fman New Issue
2011-12-18 09:31 fman Status new => assigned
2011-12-18 09:31 fman Assigned To => fman
2011-12-18 09:31 fman Product Version => 1.9.3 (2011 Q3 - bug fixing)
2011-12-18 09:33 fman Summary Test Case search - add right checks => Test Case search - add check of user rights
2011-12-18 11:15 fman Note Added: 0016160
2011-12-18 11:15 fman Tag Attached: TO BE FIXED on 2.0
2011-12-18 11:18 fman Relationship added related to 0004796
2012-08-18 12:15 fman Task Workflow Status => READY FOR TESTING
2012-08-18 12:15 fman Status assigned => resolved
2012-08-18 12:15 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-18 12:15 fman Resolution open => fixed
2012-09-01 19:58 fman Note Added: 0017249
2012-09-01 19:58 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker